Spindle operation modes (S2)

1.1 IntroductionPAGEREF _Toc307404364 \h3

1.2 Description 4

1.2.1 SERCOS drive 4

1.2.2 Characteristics 7

1.3 Parameters 9

1.3.1 Overview 9

1.3.2 Description 9

More:

button Introduction

button Description

button Parameters


Introduction

Marginal condition

A spindle can basically be operated in a position-controlled or a speed-controlled mode. In most cases, the mode is defined statically and, in the case of SERCOS drives, all parameters required for the respective mode must be configured in the drive telegram.

In the position-controlled mode, the maximum speed of SERCOS spindles is, however, limited to 180° per sampling cycle as otherwise the drive controller can no longer clearly determined the direction of rotation from the specified distance change. With a sampling cycle of 2 ms, this results in a maximum speed of 15,000 rpm, for example.

Functionality

To also enable higher speeds, in the event of pure speed programming the spindle is operated in the speed-controlled mode and, if a position is specified, it is operated in the position-controlled mode.

Changing over between the two modes can take place automatically during motion.

Changing over and switching back can be specified by means of corresponding parameters.

The drive must always support changing over between position and speed control.

Automatic changing over by the CNC is currently only available for SERCOS drives.

Programming example

%spindle-position

N30 S200 M4

N40 M19 S.POS=180 S1000 M4

N50 S200 M3

N60 M19 S.POS=180 S1000 M4

N70 S200 M4

N80 M19 S.POS=180 S1000 M3

M30


Description

More:

button SERCOS drive

button Characteristics


SERCOS drive

Drive parameter definition

In the case of digital drives, control is realised in the drive itself. That is to say, in each sampling interval the CNC specifies a position/speed setpoint. The current actual value (position and speed) can be used for display and moonitoring functions in the CNC.

Besides this, the CNC cyclically transfers the required mode to the drive.

SERCOS parameters

The following parameters are important for the position/speed control modes in the case of a SERCOS drive:

Main mode S-0-0032 = 3 (actual position value with encoder 1)

· S-0-0051 actual position value (encoder 1)/S-0-0053 actual position value (encoder 2)

· S-0-0047 position setpoint

Secondary mode 1 S-0-0033 = 2 (speed control)

· S-0-0040 speed value

· S-0-0036 speed setpoint

Further secondary modes 2 and 3 are available in addition to the secondary mode 1.

The settings for the weighting types are also important. In the case of spindles, the weighting should always be set to rotatory weighting:

· S-0-0076 position weighting type (bits 2-0)

· S-0-0044 speed weighting type (bits 2-0)

· S-0-00160 acceleration weighting type (bits 2-0)

Parameters:

(000) unweighted
(001) translatory weighting
(010) rotatory weighting


Characteristics

Switching to speed control

If a speed (S word) is programmed with M3 or M4 that is higher than the specified changeover parameter, changeover to speed control takes place automatically.

Switching back to position control

Switching back to position control takes place under the following conditions:

· A positioning operation has been programmed with M19.

· A CNC reset has been triggered.

· The spindle axis has been specified from the spindle interpolator (S[PUTAX] NC command).

If changeover to speed control has already taken place due to prior speed programming, changeover to position control does not take place in the event of further programming of a speed that lies under the switching back speed.

Influence of the
switching back speed

The position setpoint is ignored during speed control.

On changeover to position control, the CNC determines the theoretical position setpoint of the next cycle on the basis of the current speed, the Kv factor of the drive and the bus run time. Thus, switching back to position control can take place without standstill of the axis.

The switching back speed specifies the speed as from which switching back to position control may take place.

As the actual speed is subject to slight deviations, especially at higher speeds, to some extent slight jerk in the drive can be ascertained when switching back to position control at higher speeds.

This is why the chosen switching back speed should not be too high.

Programming example

%spindle-position

N10 M03 S1000

N20 M19 S.POS=180 M04 S50

M30

Figure 0.1: Positioning operation with a specified speed and reverting

Special case

If, when M19 is programmed, the positioning speed is above the changeover speed, positioning nevertheless takes place in the position-controlled mode. Therefore, depending on the distance to be covered, operation in the position-controlled mode is therefore possible above the changeover speed.

Programming example

%spindle-position

(antr.velocity_position_control_on 1200000 -> 200 U/min

(antr.velocity_position_control_off 600000 -> 100 U/min

N10 M04 S1000

N20 M19 S.POS=180 M04 S500

M30

Figure 0.2: Positioning operation at 500 rpm despite a changeover speed of 200 rpm


Parameters

Example

Changeover to speed programming should take place as from a speed of 200 rpm. Switching back should take place as from 50 rpm. The drive has a Kv factor of 4000 rpm. The following settings in the axis list are necessary besides the drive telegram.

# 0-main mode, 1-1st auxiliary, 2-2nd auxiliary, 3-3rd auxiliary

antr.sercos.op_mode_for_velocity_control 1

# [10-3Grad/s] -> 1200000 10-3Grad/s = 200 U/min

antr.velocity_position_control_on 1200000

# [10-3Grad/s] -> 300000 10-3Grad/s = 50 U/min

antr.velocity_position_control_off 300000

# default ist 1

antr.nbr_delay_cycles 4

# SERCOS-Kv : S-0-0104=4 [m/min/mm]=[1000/min]

# CNC Kv : [0.01/s]

getriebe[0].kv 6666

More:

button Overview

button Description


Overview

ID | Parameter | Description
P-AXIS-00264 | antr.sercos.op_mode_for_velocity_control | Mode for speed control
P-AXIS-00265 | antr.velocity_position_control_on | Changeover speed
P-AXIS-00266 | antr.velocity_position_control_off | Switching back speed


Description

P-AXIS-00264 | Mode for speed control
Parameter | antr.sercos.op_mode_for_velocity_control
Description | As several secondary operating modes can be configured for a SERCOS drive, this parameter can be used to specify which secondary mode is to be switched over to in the case of speed control.
Data type | UNS16
Data range | 0 ≤ P-AXIS-00264 ≤ 3 0 -> main mode S-0-0032 1 -> secondary mode 1, S-0-0033 2 -> secondary mode 2, S-0-0034 3 -> secondary mode 3, S-0-0035
Dimension | Translatory: | Rotatory:
Default | 1 > secondary mode 1
Remarks | The main mode can also be used for speed control.

P-AXIS-00265 | Changeover speed
Parameter | antr.velocity_position_control_on
Description | Changeover to speed control takes place if a speed is specified that is higher than the changeover speed.
Data type | SGN32
Data range | 0 ≤ P-AXIS-00265 ≤ 1000000000
Dimension | Translatory: | Rotatory: [10-3 degrees/s]
Default | 1000000000 (SLOPE_VB_MAX, function deactivated)
Remarks | The mode specified in the P-AXIS-00264 (antr.sercos.op_mode_for_velocity_control) parameter is commanded.

P-AXIS-00266 | Switching back speed
Parameter | antr.velocity_position_control_off
Description | If the current speed during a positioning operation with M19 is higher than the switching back speed, deceleration to this speed first takes place before positioning control is activated.
Data type | SGN32
Data range | 0 ≤ P-AXIS-00266 ≤ 1000000000
Dimension | Translatory: | Rotatory: [10-3 degrees/s]
Default | 0
Remarks | -